### Method

# GExiv2 Metadata get_tag_string

since: 0.16.0

#### Declaration [src]

    gchar*
    gexiv2_metadata_get_tag_string (
      GExiv2Metadata* self,
      const gchar* tag,
      GError** error
    )

#### Description [src]

The Exiv2 Tag Reference can be found at http://exiv2.org/metadata.html

Tags that support multiple values are returned as a single string, with elements separated by “, “.

In case of error, a GLib warning will be logged. Use instead `gexiv2_metadata_try_get_tag_string()` if you want to avoid this and control if and how the error is outputted.

Available since: 0.16.0

#### Parameters

`tag`

  Type: `const gchar*`

  Exiv2 tag name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

The tag’s value as a string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.